> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apihello worldauthenticated

> Test authentication



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/hello_world/authenticated
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/hello_world/authenticated:
    get:
      tags:
        - Testing
      description: Test authentication
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  hello:
                    type: string
                type: object
          description: Authentication works
        '401':
          description: Unauthorized
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````